com.google.gwt.cell.client

## Interface FieldUpdater<T,C>

Type Parameters:
  `T` - the data type that will be modified
  `C` - the data type of the modified field

    public interface FieldUpdater<T,C>

A `FieldUpdater` may be added to a Column to update a particular field of a data item.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update(int index, T object, C value)` Announces a new value for a field within a base object.

### Method Detail

#### update

    void update(int index,
                T object,
                C value)

Announces a new value for a field within a base object.

Parameters:
  `index` - the current row index of the object
  `object` - the base object to be updated
  `value` - the new value of the field being updated